- hosts: datacenter
  name: Set  hostname
  become: true
  tasks:
    - name: Modify hostyname
      ansible.builtin.hostname: 
        name: "{{ inventory_hostname }}"
        use: systemd
    - name: Print all available facts
      ansible.builtin.debug:
        var: ansible_facts.architecture
    - name: Print all available facts
      ansible.builtin.debug:
        var: "{{ ansible_distribution }}"
    - name: Print all available facts
      ansible.builtin.debug:
        var: ansible_facts.distribution_version